%define name	sdlbomber
%define version	101
%define prefix	%{_prefix}
%define release 14mdk

Name:		%{name}
Summary:	A Bomberman clone
Version:	%{version}
Release:	%{release}

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}
Source2:	%{name}.xpm.bz2
Source3:	%{name}-32.xpm.bz2

Patch0:		xbomber-mdk.patch.bz2
Patch1:		xbomber-remapkeys.patch.bz2

License:	GPL
URL:		http://www.xdr.com/dash/bomber.html
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libSDL-devel XFree86-devel audiofile-devel esound-devel
Exclusivearch:	%{ix86}

%description
SDL-Bomber is a multiplayer game for Unix systems running the X-Window system.
It's based on "Bomberman" the famous games from DOS/Windows/Snes. Up to four
players control their character around a single screen of obstacles, trying to
destroy each other with bombs.

%prep

%setup -q
%patch0 -p1 -b .mdk
%patch1 -p1 -b .pixel

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
install -m644 data/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m755 matcher bomber $RPM_BUILD_ROOT/%{_gamesbindir}

# menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README Changelog
%{_gamesbindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 101-14mdk
- rebuild

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 101-13mdk
- rebuild

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 101-12mdk
- rebuild for deps to SDL

* Tue Aug 15 2000 David BAUDENS <baudens@mandrakesoft.com> 101-11mdk
- Corrected Description and menu entry

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 101-10mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 101-9mdk
- BM
- macros
- requires SDL

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 101-8mdk
- patched menu entry, added 32x32 icon

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 101-7mdk
- bugfixed icon

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 101-6mdk
- new groups
- new SDL
- menu entry with icon
- added url

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 101-5mdk
- Reactivate the BuildRequires: SDL-devel (hoy !! lenny killy it)
- Exclusivearch: i386 i486 i586 i686 k6 k7

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Build for SDL 1.0.0

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add pixel patch to redefine keys.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.
